Subject: [Megaco] Small MDMF bug and questions in AVD-2313 (and draft-boyle-megaco-alerting-03.txt)

From: Troy Cauble <[email-masked]>
Date: Tue, 29 Apr 2003 18:39:29 -0400

In section 7.5 of AVD-2313, the following example is used 3 times:

Signals{andisp/dwa{ddb=802301083035313831363135020A3931393535353030303007084A6F686E20446F65D5,pattern=1}}

I believe there is a small bug in the example's MDMF.

Referencing GR-30-CORE,

> R2-60 [56]The message length word in MDMF shall contain the 8-bit binary
> representation of the number of words in the message following it,
> excluding the checksum word. For MDMF, the message length shall
> be equal to the total number of parameter type words, parameter
> length words, and parameter data words.

I believe the example calls for a MDMF length word of 20 (hex)
not 23 (hex) and the string should start ddb=8020...

Also, regarding the ddb parameter, AVD-2313 says:

> The Display Data Block contains the message data to be sent to the set. 
> Binary encoding is the binary data itself, while text encoding shall carry 
> the data as a hex string.  For example, in North America for basic Caller ID, 
> this would be the SDMF or MDMF construct. 

This tells us two things the "ddb" parameter might be, but doesn't 
strictly restrict the possibilities.

Is this limited to CND, CNAM, and CIDCW uses of SDMF & MDMF as
defined by Telcordia?  If not, how does a MG distinguish between
these, other uses of SDMF & MDMF, or things that aren't SDMF or MDMF?

Similar questions could be asked of the "db" parameter of "andisp/data",
which references ADSI, etc., but not SDMF or MDMF.  I have no idea
how "Short Message Service", or "Advice of Charge" are encoded.
(Document references?)  Are they SDMF or MDMF?  Can an MG distinguish
them from something else?  Is this field limited in any way?

Also, regarding the "andisp/dwa" signal:

> 7.3.1	Display with Alerting
> SignalID: dwa (0x0004)
> Sends the display info to the CPE display, if the set is so equipped. 
> This signal indicates that the data must be applied during alerting -- 
> either power ringing, or call waiting. Therefore, this signal implies 
> alerting, which will be appropriately applied to the CPE by the gateway, 
> based upon the on-hook/off-hook status of the line.

I suggest stating that the implied alerting happens even when the
MG is not "equipped" to send display info.

-troy

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco